
#include <windows.h>
#include <windowsx.h>

#define KEY_RENDER 0x03929323

/*****************************************************************************
** Function: winGetDC()
*/

HDC winGetDC(HWND Window)
{
   return(GetDC(Window));
}

/*****************************************************************************
** Function: winReleaseDC()
*/

void winReleaseDC(HWND Window, HDC DC)
{
   ReleaseDC(Window, DC);
}

/*****************************************************************************
** Function: winSetRenderID()
*/

void winSetRenderID(HWND Window, LONG RenderID)
{
   SetProp(Window, "RenderID", (HANDLE)RenderID);
   SetWindowLong(Window, 0, RenderID);
   SetWindowLong(Window, 4, KEY_RENDER);
}
